Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Reactions

Get Content Reactions
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"edf68fa6-e9ab-4bab-a20f-4c06755fde13","userId":"dfaaee4e-92bc-42b4-bd49-30a02697ed7b","userUrl":null,"type":"Angry","creationDateTime":"2026-10-10T22:39:10.9253079+00:00"},{"id":"423a05c3-a6a3-409a-b9fc-6a0ba40f88da","userId":"c5c52e52-bba7-4d7a-8b16-166664046e4f","userUrl":null,"type":"Like","creationDateTime":"2026-10-10T22:39:10.9253079+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string